Subject: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: [email-masked] (N. Jackson)
Date: Thu, 27 Apr 2017 15:45:29 -0400

At 10:08 -0500 on Thursday 2017-02-23, N. Jackson wrote:

> When starting Emacs from a terminal/console window, GTK emits
> the following message in the terminal/console:
>
>   Gtk-WARNING **: gtk_window_parse_geometry() called on a window
>   with no visible children; the window should be set up before
>   gtk_window_parse_geometry() is called.
>
> The message is emitted n - 1 times, where n is the number of
> frames specified in the desktop file; with no desktop file, or
> with a desktop file specifying just the one frame, no such
> message is emitted.

This bug persists in the released version of Emacs 25.2 (built
from the tarball).

On the other hand, Master, checked out on 2017-04-27
(79c5ea9911a9aba7db0ba0e367e06507cee2fc02), does not exhibit the
bug.

I was unable to test the emacs-25 branch checked out on 2017-04-27
(784602b10506c50075aa9463891a47380ebea55f) because I haven't been
able to build it so far, however, since the log doesn't indicate
any substantive commits since the release of 25.2, it probably
still has the bug.

(I am unable to build the emacs-25 branch because of the following
messages form autogen.sh. The indicated files do not exist in
emacs/m4/ but, for example count-trailing-zeros.m4, does exist.

  $ ./autogen.sh
  Checking whether you have the necessary tools...
  (Read INSTALL.REPO for more details on building Emacs)

  Checking for autoconf (need at least version 2.65)...
  ok
  Checking for automake (need at least version 1.11)...
  ok
  Your system has the required tools.
  Running 'autoreconf -fi -I m4' ...
  /usr/bin/m4:aclocal.m4:9: cannot open `m4/count-leading-zeros.m4': No such file or directory
  /usr/bin/m4:aclocal.m4:27: cannot open `m4/flexmember.m4': No such file or directory
  /usr/bin/m4:aclocal.m4:43: cannot open `m4/limits-h.m4': No such file or directory
  /usr/bin/m4:aclocal.m4:73: cannot open `m4/std-gnu11.m4': No such file or directory
  autom4te: /usr/bin/m4 failed with exit status: 1
  /usr/bin/m4:aclocal.m4:9: cannot open `m4/count-leading-zeros.m4': No such file or directory
  /usr/bin/m4:aclocal.m4:27: cannot open `m4/flexmember.m4': No such file or directory
  /usr/bin/m4:aclocal.m4:43: cannot open `m4/limits-h.m4': No such file or directory
  /usr/bin/m4:aclocal.m4:73: cannot open `m4/std-gnu11.m4': No such file or directory
  autom4te: /usr/bin/m4 failed with exit status: 1
  autoreconf: /usr/bin/autoconf failed with exit status: 1
)

N.